DataCubeControllerAddSelectTransform Method

POST /DataCube/SelectTransform/ Adds a new select transform to the data cube.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("SelectTransform")]
public IActionResult AddSelectTransform(
	[FromBodyAttribute] AddSelectTransformOptions options,
	Guid? sessionId = null
)

Parameters

options
Type: Dundas.BI.WebApi.ModelsAddSelectTransformOptions
The AddSelectTransformOptions required for adding a selection transform. If Native Object ID is Empty then a Manual Select transform will be added.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: IActionResult
A DataCubeData Object containing the data cube data, or a status code indicating the problem.
See Also